Subject: Re: [RRG] Renumbering...

From: Brian E Carpenter <[email-masked]>
Date: Tue, 19 Aug 2008 16:42:52 +1200

On 2008-08-19 15:31, Tony Li wrote:
> Hello yet again Eric,
>  
> 
> |I concur with you that ISPs will usually be strongly motivated to
> |support their largest customers so that the PI space will be supported
> |indefinitely for both IPv4 and IPv6. If this would not be the 
> |case, then
> |the largest end users may become motivated to take action themselves --
> |such as to decree ourselves to be our own ISPs (i.e., this is just one
> |of many scenarios that large end users have toyed with since 2000).
> |Regardless, however you cut it, I believe that the PI space will exist
> |and I recommend that you emotionally accept that probability. More
> |pertinently, I recommend that RRG accepts PI support as a requirement
> |for advancing any RRG variant.
> 
> 
> Thanks, but I'm not going to be accepting that anytime soon.  When true PI
> is a requirement, then the 'net cannot possible scale.  Period.  Full stop.
> 
> Thus, this means that NAT is necessarily a requirement.

Or, fortunately, something that's isomorphic to NAT as far as the
DFZ is concerned; which I believe is where map-and-encap came in.

Certainly, we must conceal PI from the realm where aggregation
is a scaling requirement. That's an RRG requirement for sure.

<snip>
> 
> As has been noted by many LISP proponents, if APT is used to provide the
> mapping, then renumbering is a necessity to ensure that the EID space
> aggregates.  

That could of course be held as an argument against APT.
But whether this matters depends on another issue - do we *really*
have a problem with IPv4, or is IPv4 just going to top out with
a swamp of about a million routes? Renumbering IPv6 early-adopters
seems much more thinkable than renumbering the megaswamp.

     Brian

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg